(*************************************************************************
*     Asignatura:     Estructuras de Datos y de la Informacin
*     Proyecto:       FORMATEADOR DE TEXTOS ASCII
*
*     Mdulo:  Visual
*     Fichero:     ( )TAD     ( )Programa    (x)Otro Tipo
*     Autor(es):   Sergio Andrs Gonzlez Galindo
*     Fecha:       9 / Junio / 1999
*
*     Descripcion:
*        Contiene las operaciones necesarias para dibujar y borrar la
*        pantalla.
************************************************************************)

UNIT VISUAL;

INTERFACE
         USES CRT;

         PROCEDURE LimpiarCuadro;
         PROCEDURE Cuadro (fiarri, coliz, fiaba, colde: integer);
         PROCEDURE Logotipo;
         PROCEDURE LineaUno;
         PROCEDURE VisualizarPantalla;

IMPLEMENTATION

PROCEDURE LimpiarCuadro;
  VAR
     bucle: byte;
  BEGIN
       FOR bucle:=3 TO 22 DO
       BEGIN
            gotoxy(4,bucle);
            write('                                                                        ');
       END;
  END;

  PROCEDURE Cuadro(fiarri,coliz,fiaba,colde :integer);
  (*POST : Visualiza en pantalla un cuadro con las coordenadas especificadas *)
  VAR
     i : Integer;
  BEGIN
     gotoxy(coliz,fiarri);
     write('');
     gotoxy(colde,fiarri);
     write('');
     gotoxy(coliz,fiaba);
     write('');
     gotoxy(colde,fiaba);
     write('');
     FOR i := coliz TO colde DO
     BEGIN
        gotoxy(i,fiarri);
        write('');
        gotoxy(i,fiaba);
        write('');
     END;
     FOR i := fiarri TO fiaba DO
     BEGIN
        gotoxy(coliz,i);
        write('');
        gotoxy(colde,i);
        write('');
     END;
  END;

  PROCEDURE Logotipo;
  BEGIN
     Textcolor(4);
     gotoxy(1,3);
     writeln('                                     ');
     writeln;
     writeln('                                  ');
     writeln('                                  ');
     writeln;
     writeln('                              ');
     Textcolor(15);
     writeln;
     writeln('                                          ');
     writeln('                                          ');
     writeln('                                          ');
     writeln('                                          ');
     writeln('                                          ');
     writeln('                                          ');
     writeln('                                          ');
     writeln('                            ');
     writeln('                              ');
     writeln;
     writeln;
     Textcolor(11);
     writeln('                         UNIVERSIDAD REY JUAN CARLOS');
     Textcolor(15);
     Cuadro(2,1,24,80);
     gotoxy(1,2);
     Textcolor(7);

  END;

  PROCEDURE LineaUno;
  (* POST : Visualiza la linea de comandos que se pueden usar *)
  BEGIN
     Textcolor(11);
     gotoxy(1,1);
     write('   (NEG)    (AMBOS)     (CEN)    (IZDA)    (DCHA)    (ESP)    (LONG)     (SALIR)');
     TextColor(19);
     gotoxy(2,1);
     write('F1');
     gotoxy(11,1);
     write('F2');
     gotoxy(23,1);
     write('F3');
     gotoxy(32,1);
     write('F4');
     gotoxy(42,1);
     write('F5');
     gotoxy(52,1);
     write('F6');
     gotoxy(60,1);
     write('F7');
     gotoxy(71,1);
     write('ESC');
     TextColor(7);
  END;

  PROCEDURE VisualizarPantalla;
  (* POST : Presenta en pantalla la aperiencia del editor de texto *)
  BEGIN
    textbackground(1);
    clrscr;
    textcolor(7);

    Cuadro(2,1,24,80);

    TextColor(11);
    gotoxy(1,1);
    write('F1 -> Nuevo Formato  F2 -> Modificar Formato  F3 -> Ver Resultado   ESC -> Salir');
    TextColor(19);
    gotoxy(1,1);
    write('F1');
    gotoxy(22,1);
    write('F2');
    gotoxy(47,1);
    write('F3');
    gotoxy(69,1);
    write('ESC');
    TextColor(7);
    gotoxy(1,2);
  END;{Visualizar_Pantalla}
END.